Updates common and global rollup unit assignments, triggering background recalculation
Use this endpoint to change which units are used for common (cross-commodity) and global reporting rollups.
This triggers an asynchronous background job that recalculates all aggregated data using the new unit assignments.
Monitor progress via the returned task. Requires ApplicationSettings Manage permission.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
RollupUnitUpdate
| Property | Description | Type | |||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
| commonRollups | List of commodities and their rollup units to update Required (defined) | RollupUnitUpdateCommonUnit[] | |||||||||
|
RollupUnitUpdateCommonUnit properties
|
|||||||||||
| globalRollupUnitId | The global rollup unit. Automatically assigned to ENERGY commodity. Pass in null to leave alone. Required (defined) | integer (int32) | |||||||||
Example Request Body
{ "commonRollups": [
{ "commodityId": 1, "commonRollupUnitId": 1
}
], "globalRollupUnitId": 1
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
TaskResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| analyzingCount | Count of bills that are in the analyzing state, used by bill import tasks only | integer (int32) | ||||||||||||
| batch | BatchChild | |||||||||||||
|
BatchChild properties
|
||||||||||||||
| beginDate | The date and time the task began | string (date-time) | ||||||||||||
| currentSuccessCount | The count of successful bills that still exist (i.e. have not been deleted), used by bill import tasks only | integer (int32) | ||||||||||||
| endDate | The date and time the task finished. If the task is not finished, endDate will have no value | string (date-time) | ||||||||||||
| hasAttachments | Deprecated property - HasAttachments always returns true | boolean | ||||||||||||
| message | The task’s message | string | ||||||||||||
| output | The task’s output. For certain task types, this field could be sizable | object | ||||||||||||
| settings | The task’s settings | object | ||||||||||||
| status | The task’s status | string | ||||||||||||
| taskGUId | The task guid | string (uuid) | ||||||||||||
| taskId | integer (int32) | |||||||||||||
| taskNote | User provided note/comment for this Task | string | ||||||||||||
| taskType | TaskType | |||||||||||||
|
TaskType properties
|
||||||||||||||
| unresolvedFlagCount | The count of bills with unresolved flags on this task, used by bill import tasks only | integer (int32) | ||||||||||||
| user | UserChild | |||||||||||||
|
UserChild properties
|
||||||||||||||
Example Response
{ "analyzingCount": 1, "batch": { "batchCode": "string", "batchId": 1
}, "beginDate": "2026-06-29", "currentSuccessCount": 1, "endDate": "2026-06-29", "hasAttachments": false, "message": "string", "output": {}, "settings": {}, "status": "string", "taskGUId": "string", "taskId": 1, "taskNote": "string", "taskType": { "taskTypeCode": "string", "taskTypeId": 1, "taskTypeInfo": "string"
}, "unresolvedFlagCount": 1, "user": { "fullName": "string", "userCode": "string", "userId": 1
}
}
400
Bad Request
The request was malformed or contains invalid parameters. Check the request body and query parameters.